program dptest
  use opera
  use dotst
  use inicia

  implicit none
  real, dimension (2)		  :: dot1, dot2
  integer, parameter		  :: nc = 50
  integer, parameter		  :: nx = 40
  integer, parameter		  :: nz = 40
  integer				  :: stat
  real, dimension(nc*nx*nz)	  	  :: m0
  real, dimension (nx*nz)		  :: dip
  
  dip=30
  stat = ow3curvrad_init(dip)
  call dot_test( ow3curvrad, nc*nx*nz, nx*nz, dot1, dot2)
end program DPtest
